-- Tablak letrehozasa
create table faj(
		faj_nev varchar(30) not null,
		erosseg int not null,
		vedelem int not null,
		gyorsasag int not null,
		celzas int not null,
	constraint faj_primary_key primary key (faj_nev)
	);
create table jatekos(
		nev varchar(30) not null,
		faj varchar(30) not null,
		kaszt varchar(30) not null,
		penz int,
	constraint jatekos_primary_key primary key (nev),
	constraint jatekos_foreign_key foreign key (faj) references faj (faj_nev) on delete cascade
	);
create table targy(
		targy_nev varchar(30) not null,
		tulajdonos_nev varchar(30) not null,
		mennyiseg int not null,
		viselt int not null,
	constraint targy_primary_key primary key (targy_nev,tulajdonos_nev),
	constraint targy_foreign_key foreign key (tulajdonos_nev) references jatekos (nev) on delete cascade
	);
create table kepesseg(
		kepesseg_nev varchar(30) not null,
		tulajdonos_nev varchar(30) not null,
		típus varchar(30) not null,
	constraint kepesseg_primary_key primary key (kepesseg_nev,tulajdonos_nev),
	constraint kepesseg_foreign_key foreign key (tulajdonos_nev) references jatekos (nev) on delete cascade
	);
	